\chapter{Quellcode}
\label{ch:6}

\section{Integrationsmethoden}

\subsection{INTEGRATOR.h}
\label{sec:6.1}
\lstinputlisting{code/integrator.h}

\subsection{EXPLICIT\_EULER.h}
\label{sec:6.2}
\lstinputlisting{code/explicit_euler.h}

\subsection{IMPLICIT\_EULER.h}
\label{sec:6.3}
\lstinputlisting{code/implicit_euler.h}

\subsection{EXPLICIT\_RUNGE\_KUTTA.h}
\label{sec:6.4}
\lstinputlisting{code/explicit_runge_kutta.h}

\subsection{IMPLICIT\_RUNGE\_KUTTA.h}
\label{sec:6.5}
\lstinputlisting{code/implicit_runge_kutta.h}

\section{Testprobleme}

\subsection{Diffusion.h}
\label{sec:6.6}
\lstinputlisting{code/diffusion.h}

\subsection{Lotka-Volterra.h}
\label{sec:6.7}
\lstinputlisting{code/lotka_volterra.h}

\subsection{Stiff Problem.h}
\label{sec:6.8}
\lstinputlisting{code/stiff_problem.h}

\section{Hauptprogramm}

\subsection{ODE.h}
\label{sec:6.9}
\lstinputlisting{code/ode.h}

\subsection{ODE.cpp}
\label{sec:6.10}
\lstinputlisting{code/ode.cpp}

\section{Makefile}
\label{sec:6.11}
\lstinputlisting{code/Makefile}